#include "adv3.h"
#ifdef __STDC__
int t010() 
#else
int t010() 
#endif
{ if (o005()) return 0; if (h010()) return 0; if (l010()) return 0; return
1; } 
#ifdef __STDC__
int e014() 
#else
int e014() 
#endif
{ if (i009()) return 0; if (d007()) return 0; return 1; } 
#ifdef __STDC__
int d008() 
#else
int d008() 
#endif
{ if (i010()) return 0; if (t012()) return 0; if (k007()) return 0; return
1; } 
#ifdef __STDC__
int i011() 
#else
int i011() 
#endif
{ if (q011()) return 0; if (u009()) return 0; return 1; } 
#ifdef __STDC__
int j004() 
#else
int j004() 
#endif
{ if (n013()) return 0; if (a011()) return 0; return 1; } 
#ifdef __STDC__
int o008() 
#else
int o008() 
#endif
{ if (j008()) return 0; if (n016()) return 0; return 1; } 
#ifdef __STDC__
int a013() 
#else
int a013() 
#endif
{ if (j010()) return 0; if (m010()) return 0; return 1; } 
#ifdef __STDC__
int u011() 
#else
int u011() 
#endif
{ if (g010()) return 0; if (l022()) return 0; return 1; } 
#ifdef __STDC__
int m011() 
#else
int m011() 
#endif
{ if (a014()) return 0; if (o009()) return 0; if (r011()) return 0; if (r012())
return 0; if (z016()) return 0; return 1; } 
#ifdef __STDC__
int q018() 
#else
int q018() 
#endif
{ if (a016()) return 0; if (u012()) return 0; return 1; } 
#ifdef __STDC__
int r013() 
#else
int r013() 
#endif
{ if (x013()) return 0; if (u013()) return 0; return 1; } 
#ifdef __STDC__
int l023() 
#else
int l023() 
#endif
{ if (c015()) return 0; if (a017()) return 0; if (w013()) return 0; if (x014())
return 0; if (i015()) return 0; return 1; } 
#ifdef __STDC__
int h012() 
#else
int h012() 
#endif
{ if (l024()) return 0; if (j012()) return 0; return 1; } 
#ifdef __STDC__
int c016() 
#else
int c016() 
#endif
{ if (c017()) return 0; if (a018()) return 0; return 1; } 
#ifdef __STDC__
int j017() 
#else
int j017() 
#endif
{ if (x015()) return 0; if (q020()) return 0; if (n020()) return 0; return
1; } 
#ifdef __STDC__
int l029() 
#else
int l029() 
#endif
{ if (y011()) return 0; if (z020()) return 0; return 1; } 
#ifdef __STDC__
int v017() 
#else
int v017() 
#endif
{ if (q023()) return 0; if (r018()) return 0; if (t022()) return 0; if (o016())
return 0; if (b014()) return 0; if (s025()) return 0; if (i019()) return
0; if (n028()) return 0; if (i020()) return 0; return 1; } 
#ifdef __STDC__
int b016() 
#else
int b016() 
#endif
{ if (r021()) return 0; if (f022()) return 0; return 1; } 
#ifdef __STDC__
int o019() 
#else
int o019() 
#endif
{ if (t024()) return 0; if (g015()) return 0; return 1; } 
#ifdef __STDC__
int m020() 
#else
int m020() 
#endif
{ if (n031()) return 0; if (w029()) return 0; if (i022()) return 0; if (j023())
return 0; if (j024()) return 0; if (l036()) return 0; if (c026()) return
0; if (o020()) return 0; return 1; } 
#ifdef __STDC__
int y019() 
#else
int y019() 
#endif
{ if (r025()) return 0; if (h018()) return 0; return 1; } 
#ifdef __STDC__
int v023() 
#else
int v023() 
#endif
{ if (l037()) return 0; if (g017()) return 0; return 1; } 
#ifdef __STDC__
int k019() 
#else
int k019() 
#endif
{ if (a028()) return 0; if (c028()) return 0; if (x022()) return 0; return
1; } 
#ifdef __STDC__
int u028() 
#else
int u028() 
#endif
{ if (g018()) return 0; if (k022()) return 0; return 1; } 
#ifdef __STDC__
int u030() 
#else
int u030() 
#endif
{ if (h022()) return 0; if (f026()) return 0; if (w034()) return 0; if (k023())
return 0; if (s027()) return 0; return 1; } 
#ifdef __STDC__
int o023() 
#else
int o023() 
#endif
{ if (s028()) return 0; if (g020()) return 0; return 1; } 
#ifdef __STDC__
int c030() 
#else
int c030() 
#endif
{ if (e034()) return 0; if (m025()) return 0; return 1; } 
#ifdef __STDC__
int l040() 
#else
int l040() 
#endif
{ if (o025()) return 0; if (d027()) return 0; return 1; } 
#ifdef __STDC__
int g024() 
#else
int g024() 
#endif
{ if (a034()) return 0; if (f028()) return 0; return 1; } 
#ifdef __STDC__
int s033() 
#else
int s033() 
#endif
{ if (k026()) return 0; if (z029()) return 0; if (k027()) return 0; if (i026())
return 0; return 1; } 
#ifdef __STDC__
int s035() 
#else
int s035() 
#endif
{ if (s036()) return 0; if (q029()) return 0; if (m027()) return 0; if (i027())
return 0; if (f030()) return 0; if (j027()) return 0; if (w038()) return
0; return 1; } 
#ifdef __STDC__
int v031() 
#else
int v031() 
#endif
{ if (d029()) return 0; if (g025()) return 0; return 1; } 
#ifdef __STDC__
int y029() 
#else
int y029() 
#endif
{ if (c037()) return 0; if (b023()) return 0; return 1; } 
#ifdef __STDC__
int t030() 
#else
int t030() 
#endif
{ if (v033()) return 0; if (y031()) return 0; return 1; } 
#ifdef __STDC__
int s009(void) 
#else
int s009() 
#endif
{return 0;} 
